System.ServiceModel 4.0.0.0 System.Object System.Xml.Serialization.IXmlSerializable System.Xml.Serialization.XmlRoot("Metadata", Namespace="http://schemas.xmlsoap.org/ws/2004/09/mex")

The class contains a collection of objects, each of which contains one dialect of metadata in XML form. Typically, the class is used to pass a group of XML metadata documents to and from and objects, such as and .

To create a from a object of type , use the constructor. To obtain a object of type , use the property.

In addition, you can use the method to load a from XML data and the method to write the internal metadata to an XML format.

This type implements the structure defined in the WS-MetadataExchange specification.

Represents a serializable collection of service metadata in XML form.

- Constructor
  4.0.0.0

  Creates a new object.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0

  Creates a new from .

  Initializes a new instance of the class that contains the specified collection of objects.

  The metadata values that the is to contain.
- Property
  4.0.0.0
  System.Xml.Serialization.XmlAnyAttribute
  System.Collections.ObjectModel.Collection<System.Xml.XmlAttribute> To be added. To be added.

  Gets a collection of objects that appear in the serialized form of the .

- Property
  4.0.0.0
  System.Xml.Serialization.XmlElement("MetadataSection", Namespace="http://schemas.xmlsoap.org/ws/2004/09/mex")
  System.Collections.ObjectModel.Collection<System.ServiceModel.Description.MetadataSection> To be added. To be added.

  Gets a collection of objects that represents the metadata.

- Method
  4.0.0.0
  System.ServiceModel.Description.MetadataSet ``

  Creates a from an object.

  Returns a from the specified object.

  A that contains all the metadata present in the XML stream.

  The reader to read in XML.
- Method
  4.0.0.0
  System.Xml.Schema.XmlSchema To be added.

  Implements method to provide serialization support.

  Returns .

  Returns the object that describes the XML representation of the object that is produced by the method and accessed by the method.

- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method to support deserialization from XML.

  The reader to use when reading XML.
- Method
  4.0.0.0
  System.Void `` To be added.

  Implements the method to support serialization to XML.

  The writer to use when writing XML.
- Method
  4.0.0.0
  System.Void ``

  Writes a to an XML stream.

  Writes the to XML using the specified .

  The writer to use to write the XML.